<template>
  <div class="data-document-delete-direction">
    <p class="data-document-delete-direction__contractor">
      <i class="icon role-client"/>
      {{modal_data.contractor}}
    </p>
    <p class="data-document-delete-direction__direction">
      <i class="icon city"/>
      {{modal_data.locationStartName}} → <i :class="'icon city'"/> {{modal_data.locationEndName}}
      <!--{{modal_data.locationStartName}} → <i :class="'icon ' + modal_data.icon"/> {{modal_data.locationEndName}}-->
    </p>
  </div>
</template>

<script>
  export default {
    name: "DeleteModal",
    props: {
      modal_data: {
        type: Object,
        require: false,
        default: () => {}
      }
    }
  }
</script>

<style lang="scss">
  .data-document-delete-direction {
    &__contractor {
      font-size: 16px;
      line-height: 20px;
      letter-spacing: 0.2px;
      color: $color-text-base;
    }
    &__direction {
      font-weight: bold;
      font-size: 20px;
      line-height: 28px;
      letter-spacing: 0.4px;
      color: $color-text-base;
    }
    .icon {
      color: $color-blue-navy-blue;
    }
  }
</style>
